Author: martinkg
Update of /cvs/free/rpms/aqualung/devel
In directory old02.ovh.rpmfusion.lan:/tmp/cvs-serv24357/devel
Modified Files:
.cvsignore sources
Added Files:
aqualung-snapshot.sh aqualung.desktop aqualung.spec
Log Message:
--- NEW FILE aqualung-snapshot.sh ---
#!/bin/bash
set -e
tmp=$(mktemp -d)
trap cleanup EXIT
cleanup() {
set +e
[ -z "${tmp}" -o ! -d "${tmp}" ] || rm -rf "${tmp}"
}
unset CDPATH
pwd="$(pwd)"
tmp_dirname=aqualung-export
cd "${tmp}"
svn co \
https://aqualung.svn.sourceforge.net/svnroot/aqualung/trunk "${tmp_dirname}"
cd "${tmp_dirname}"
svn=$(LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2)
echo "#define AQUALUNG_VERSION \"R-${svn}\"" > src/version.h
find . -type d -name .svn -print0 | xargs -0r rm -rf
cd ..
dirname="${tmp_dirname}-r${svn}"
mv "$tmp_dirname" "$dirname"
tar fjc "$pwd"/"${dirname}".tar.bz2 "${dirname}"
cd "${dirname}" >/dev/null
--- NEW FILE aqualung.desktop ---
[Desktop Entry]
Name=Aqualung
GenericName=Music Player for GNU/Linux
Comment=Play music
Exec=aqualung -N0 -E -L %U
Icon=aqualung
MimeType=audio/x-musepack;application/x-musepack;audio/musepack;application/musepack;application/x-ape;audio/ape;audio/x-ape;audio/x-mp3;application/x-id3;audio/mpeg;audio/x-mpeg;audio/x-mpeg-3;audio/mpeg3;audio/mp3;audio/mp4;audio/x-m4a;audio/mpc;audio/x-mpc;audio/mp;audio/x-mp;application/ogg;application/x-ogg;application/x-vorbis+ogg;audio/x-vorbis+ogg;audio/vorbis;audio/x-vorbis;audio/ogg;audio/x-ogg;audio/x-flac;application/x-flac;audio/flac;audio/x-s3m;audio/x-mod;audio/x-xm;audio/x-it;
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Player
Encoding=UTF-8
X-Desktop-File-Install-Version=0.15
--- NEW FILE aqualung.spec ---
%global svn_rev 1309
%global nonfree 0
%global free 1
%if 0%{nonfree}
# "Monkey's Audio Source Code License Agreement" is nonfree license.
%global with_mac --with-mac
%endif
%if 0%{free}
# The following packages are free license (patent issue).
%global with_mpeg --with-mpeg
%global with_lavc --with-lavc
%global with_lame --with-lame
%endif
Name: aqualung
Version: 0.9
Release: 0.8.svn%{svn_rev}%{?dist}
Summary: Music Player for GNU/Linux
Group: Applications/Multimedia
License: GPLv2+
URL:
http://aqualung.factorial.hu/
# run ./aqualung-snapshot.sh to get this
Source0: %{name}-export-r%{svn_rev}.tar.bz2
Source1: %{name}.desktop
Source10: %{name}-snapshot.sh
# autogen.sh
BuildRequires: autoconf automake pkgconfig gettext-devel
# GUI
BuildRequires: glib2-devel gtk2-devel atk-devel cairo-devel pango-devel
BuildRequires: pixman-devel libpng-devel zlib-devel
BuildRequires: fontconfig-devel freetype-devel libxml2-devel
# Desktop
BuildRequires: desktop-file-utils
# Output
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(samplerate)
# Encode/Decode
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(flac)
BuildRequires: pkgconfig(vorbisfile)
BuildRequires: pkgconfig(oggz)
BuildRequires: pkgconfig(speex)
%{?with_mpeg:BuildRequires: pkgconfig(mad)}
BuildRequires: pkgconfig(libmodplug)
BuildRequires: libmpcdec-devel
%{?with_mac:BuildRequires: pkgconfig(mac)}
%{?with_lavc:BuildRequires: ffmpeg-devel}
%{?with_lame:BuildRequires: lame-devel}
BuildRequires: pkgconfig(wavpack)
BuildRequires: pkgconfig(lrdf)
# CD
BuildRequires: pkgconfig(libcdio)
BuildRequires: libcdio-paranoia-devel
BuildRequires: pkgconfig(libcddb)
# Others
BuildRequires: pkgconfig(libusb)
BuildRequires: libifp-devel
BuildRequires: pkgconfig(lua)
%description
Aqualung is an advanced music player originally targeted at the GNU/Linux
operating system. It plays audio CDs, internet radio streams and pod casts as
well as sound files in just about any audio format and has the feature of
inserting no gaps between adjacent tracks.
%prep
%setup -q -n %{name}-export-r%{svn_rev}
%build
./autogen.sh
%configure \
--without-sndio \
--with-oss \
--with-alsa \
--with-jack \
--with-pulse \
--with-src \
--with-sndfile \
--with-flac \
--with-vorbisenc \
--with-speex \
%{!?with_mpeg: --without-mpeg} %{?with_mpeg} \
--with-mod \
--with-mpc \
%{!?with_mac: --without-mac} %{?with_mac} \
%{!?with_lavc: --without-lavc} %{?with_lavc} \
%{!?with_lame: --without-lame} %{?with_lame} \
--with-wavpack \
--with-ladspa \
--with-cdda \
--with-cddb \
--with-ifp \
--with-lua
# Fix lib64 path
sed -i 's@/usr/lib/@%{_libdir}/@g' src/plugin.c
make %{?_smp_mflags}
%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p -c"
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}
install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -D -m 644 -p src/img/icon_48.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
%find_lang %{name}
%post
update-desktop-database &> /dev/null || :
%postun
update-desktop-database &> /dev/null || :
%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/man/man1/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%changelog
* Mon Mar 02 2015 Martin Gansser <martinkg(a)fedoraproject.org> - 0.9-0.8.svn1309
- dropped aqualung-fsf-fix.patch
* Sun Mar 01 2015 Martin Gansser <martinkg(a)fedoraproject.org> - 0.9-0.7.svn1309
- added link to upstream patch %%{name}-fsf-fix.patch
- corrected lincese tag
- Mark license files as %%license where available
- dropped %%defattr does not need any longer
- dropped macro %%{buildroot}
- take ownership of unowned directory %%{_datadir}/%%{name}/
- added pkgconfig based BR
* Sun Mar 01 2015 Martin Gansser <martinkg(a)fedoraproject.org> - 0.9-0.6.svn1309
- Update to SVN r1309.
- added BR libcdio-paranoia-devel
- dropped unrecognized %%configure options
- added %%{name}-fsf-fix.patch
- corrected license tag
* Tue Feb 2 2010 Akio Idehara <zbe64533 at gmail.com> 0.9-0.5.svn1115
- Disable mac support. This is mac's the license issue.
* Mon Feb 1 2010 Akio Idehara <zbe64533 at gmail.com> 0.9-0.4.svn1115
- Add post/postun.
* Mon Feb 1 2010 Akio Idehara <zbe64533 at gmail.com> 0.9-0.3.svn1115
- Update to SVN r1115.
* Sun Jan 31 2010 Akio Idehara <zbe64533 at gmail.com> 0.9-0.2.svn1109
- Change Socket test routine.
* Sat Jan 23 2010 Akio Idehara <zbe64533 at gmail.com> 0.9-0.1.svn1109
- Initial RPM release
Index: .cvsignore
===================================================================
RCS file: /cvs/free/rpms/aqualung/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 4 Mar 2015 20:17:35 -0000 1.1
+++ .cvsignore 5 Mar 2015 19:12:53 -0000 1.2
@@ -0,0 +1 @@
+aqualung-export-r1309.tar.bz2
Index: sources
===================================================================
RCS file: /cvs/free/rpms/aqualung/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 4 Mar 2015 20:17:35 -0000 1.1
+++ sources 5 Mar 2015 19:12:53 -0000 1.2
@@ -0,0 +1 @@
+6a83ceedf7adaefa0a4a10f861119457 aqualung-export-r1309.tar.bz2